*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

#solar-system-container {
    height: 100vh;
    background-image: url('./images/Galaxy.jpg');
    background-size:contain;
}

.sun {
    width: 100px;
    height: 100px;
    background-image: url('./images/Sun.png');
    background-size: contain;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation-name: moving-sun;
    animation-duration: 20s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

.mercury, .venus, .earth, .mars, .jupiter, .saturn, .uranus, .neptune {
    position: absolute;
    top: 50%;
    left: 50%;
    animation-name: orbit;
    animation-duration: 10s;
    animation-timing-function: linear;
}

.mercury {
    width: 20px;
    height: 20px;
    background-image: url('./images/Mercury.png');
    background-size: contain;
    animation-duration: 10s;
    animation-name: orbiting-mercury;
    animation-duration: 10s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
.venus {
    width: 30px;
    height: 30px;
    background-image: url('./images/Venus.png');
    background-size: contain;
    animation-duration: 15s;
    animation-name: orbiting-venus;
    animation-duration: 15s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
.earth {
    width: 35px;
    height: 35px;
    background-image: url('./images/Earth.png');
    background-size: contain;
    animation-duration: 20s;
    animation-name: orbiting-earth;
    animation-duration: 20s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
.mars {
    width: 25px;
    height: 25px;
    background-image: url('./images/Mars.png');
    background-size: contain;
    animation-duration: 25s;
    animation-name: orbiting-mars;
    animation-duration: 25s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
@keyframes moving-sun {
    0% { transform: translate(-50%, -50%) rotate(0deg); }
    100% { transform: translate(-50%, -50%) rotate(360deg); }
}

@keyframes orbiting-mercury {
    0% { transform: rotate(0deg) translateX(60px) ; }
    100% { transform: rotate(360deg) translateX(60px) ; }
}
@keyframes orbiting-venus {
    0% { transform: rotate(0deg) translateX(120px) ; }
    100% { transform: rotate(360deg) translateX(120px) ; }
}
@keyframes orbiting-earth {
    0% { transform: rotate(0deg) translateX(180px) ; }
    100% { transform: rotate(360deg) translateX(180px) ; }
}
@keyframes orbiting-mars {
    0% { transform: rotate(0deg) translateX(240px); }
    100% { transform: rotate(360deg) translateX(240px); }
}